Cloud Browser API

Send a viewer heartbeat

Send only while the viewing page is visible. Viewer presence lasts 45 seconds after its latest heartbeat.

POST /browser/v1/sessions/{sessionId}/viewer● Supported

Request parameters

  • sessionIdstring必填

    浏览器会话 ID;使用创建或列出会话返回的 id,以 bss_ 开头。

  • viewerIdstring必填

    当前观看者的稳定标识;同一观看者重复心跳应使用相同值,长度为 1–128 个 UTF-16 代码单元。

Returns

200

Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors

Connection guide

Response

HTTP 200

请求成功。

application/json

NameTypeDescription
okboolean心跳已被接受,成功时固定返回 true。